Installer_Requirements

Package: Install

class Installer_Requirements
check()
getErrorMessages()
getWarningMessages()
hasError()
hasWarning()
setDbAdapter(Zend_Db_Adapter_Abstract $db)
Parameters:
  • $db (Zend_Db_Adapter_Abstract) –
setStorage(Omeka_Storage $storage)
Parameters:
_checkPhpVersionIsValid()
_checkPhpExtensionsAreAvailable()
_checkMysqliIsAvailable()
_checkMysqlVersionIsValid()
_checkHtaccessFilesExist()
_checkRegisterGlobalsIsOff()
_checkExifModuleIsLoaded()
_checkFileStorageSetup()
_checkFileinfoIsLoaded()